Bug 972968 - network-services must be hardended / PIE / RELRO
network-services must be hardended / PIE / RELRO
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnsmasq (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 19:47 EDT by Harald Reindl
Modified: 2013-07-15 21:46 EDT (History)
6 users (show)

See Also:
Fixed In Version: dnsmasq-2.65-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-15 21:36:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2013-06-10 19:47:53 EDT
[root@buildserver:~]$ hardening-check.sh /usr/sbin/dnsmasq
RELRO           STACK CANARY      NX            PIE             RPATH      RUNPATH      FILE
Partial RELRO   Canary found      NX enabled    No PIE          No RPATH   No RUNPATH   /usr/sbin/dnsmasq
/usr/sbin/dnsmasq:                
 Position Independent Executable: no, normal executable!
 Stack protected: yes
 Fortify Source functions: yes (some protected functions found)
 Read-only relocations: yes
 Immediate binding: no, not found!
Comment 1 Tomáš Hozza 2013-06-11 03:23:45 EDT
I fixed this in F19 and rawhide but didn't fix it in F17/18... Will do it ASAP.
Comment 2 Tomáš Hozza 2013-06-11 04:36:14 EDT
Would it be possible to provide me the script you used for checking the daemon?

Thank you in advance.
Comment 4 Fedora Update System 2013-06-11 06:43:48 EDT
dnsmasq-2.65-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dnsmasq-2.65-6.fc17
Comment 5 Fedora Update System 2013-06-11 06:44:40 EDT
dnsmasq-2.65-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dnsmasq-2.65-6.fc18
Comment 6 Fedora Update System 2013-06-11 22:35:37 EDT
Package dnsmasq-2.65-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnsmasq-2.65-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10602/dnsmasq-2.65-6.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-07-15 21:36:54 EDT
dnsmasq-2.65-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-07-15 21:46:07 EDT
dnsmasq-2.65-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.